<template>
    <div id="omm-app-dialogs">
        <template v-for="(dialog, key) in appDialogs">
          <component
              :is="dialog.component"
              :key="key"
              v-bind="dialog.props"
              v-on="dialog.on"
          />
        </template>
    </div>
</template>

<script lang="ts">
import { defineComponent } from "@vue/composition-api";
import { useDialogs } from "@/compositions";

export default defineComponent({
    name: "AppDialogs",
    setup() {
      const appDialogs = useDialogs().getDialogs();

      return { appDialogs }
    }
});
</script>

<style scoped lang="scss">

</style>
